Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000309 [1003.1(2008)/Issue 7] Shell and Utilities Objection Clarification Requested 2010-09-15 09:24 2013-04-16 13:06
Reporter geoffclare View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Closed  
Name Geoff Clare
Organization The Open Group
User Reference
Section find
Page Number 2740
Line Number 89180
Interp Status Approved
Final Accepted Text See Note: 0000562
Summary 0000309: find -exec a b{} {} +
Description The requirements for the find utility are unclear regarding the
following command:

    find . -exec a b{} {} +

At line 89178 the part of the -exec primary description relating to
the '+' terminator says:

    If more than one argument containing only the two characters "{}"
    is present, the behavior is unspecified.

This doesn't apply here because of the use of "only".

The next paragraph begins:

    If a utility_name or argument string contains the two characters
    "{}", but not just the two characters "{}", it is
    implementation-defined whether find replaces those two characters
    or uses the string without change.

This allows two behaviours. The second (using the string without
change) is straightforward; the problem is with the first
alternative. If the "{}" characters are replaced, what should
they be replaced with?

Two different solutions are proposed. Option 1 just requires the
string to be used without change and eliminates the problematic
alternative. Option 2 makes line 89178 apply to this case by
removing the word "only", thus making the behaviour unspecified.
In both cases the existing "not just the two characters" text is
moved to the part relating to the ';' terminator.
Desired Action Option 1

Append to line 89179:

    If a utility_name or argument string contains the two characters
    "{}", but not just the two characters "{}", the string shall be
    used without change.

Delete the following text from line 89180 and append it to line 89164:

    If a utility_name or argument string contains the two characters
    "{}", but not just the two characters "{}", it is
    implementation-defined whether find replaces those two characters
    or uses the string without change.

Option 2

At line 89178 change:

    If more than one argument containing only the two characters "{}"
    is present, the behavior is unspecified.

to:

    If more than one argument containing the two characters "{}" is
    present, the behavior is unspecified.

Delete the following text from line 89180 and append it to line 89164:

    If a utility_name or argument string contains the two characters
    "{}", but not just the two characters "{}", it is
    implementation-defined whether find replaces those two characters
    or uses the string without change.
Tags tc1-2008
Attached Files

- Relationships
related to 0000310Closedajosey Missing word "only" in find -exec description 

-  Notes
(0000562)
nick (manager)
2010-10-07 15:42

Interpretation response
------------------------
The standard is unclear on this issue, and no conformance distinction can be made between alternative implementations based on this. This is being referred to the sponsor.

Rationale:
-------------
Option 2 in the desired action seems the most appropriate.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
At line 89178 change:

    If more than one argument containing only the two characters "{}"
    is present, the behavior is unspecified.

to:

    If more than one argument containing the two characters "{}" is
    present, the behavior is unspecified.

Delete the following text from line 89180 and append it to line 89164:

    If a utility_name or argument string contains the two characters
    "{}", but not just the two characters "{}", it is
    implementation-defined whether find replaces those two characters
    or uses the string without change.
(0000640)
ajosey (manager)
2010-12-16 16:15

Comments are due on this interpretation by January 16 2011

- Issue History
Date Modified Username Field Change
2010-09-15 09:24 geoffclare New Issue
2010-09-15 09:24 geoffclare Status New => Under Review
2010-09-15 09:24 geoffclare Assigned To => ajosey
2010-09-15 09:24 geoffclare Name => Geoff Clare
2010-09-15 09:24 geoffclare Organization => The Open Group
2010-09-15 09:24 geoffclare Section => find
2010-09-15 09:24 geoffclare Page Number => 2740
2010-09-15 09:24 geoffclare Line Number => 89180
2010-09-15 09:24 geoffclare Interp Status => ---
2010-09-15 09:29 geoffclare Relationship added related to 0000310
2010-10-07 15:42 nick Note Added: 0000562
2010-10-07 15:42 nick Status Under Review => Interpretation Required
2010-10-07 15:42 nick Resolution Open => Accepted As Marked
2010-10-07 15:43 nick Final Accepted Text => See Note: 0000562
2010-10-07 15:45 geoffclare Tag Attached: tc1-2008
2010-10-14 16:38 geoffclare Interp Status --- => Pending
2010-12-16 16:15 ajosey Interp Status Pending => Proposed
2010-12-16 16:15 ajosey Note Added: 0000640
2011-01-18 12:29 ajosey Interp Status Proposed => Approved
2013-04-16 13:06 ajosey Status Interpretation Required => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker